Subject: Re: Push from specific directory.

From: Neal Kreitzinger <[email-masked]>
Date: Thu, 22 Mar 2012 18:22:13 -0500

On 3/22/2012 5:57 PM, Jeff King wrote:
> On Thu, Mar 22, 2012 at 06:04:20PM -0400, Anjib Mulepati wrote:
>
>> 2. Can I have a folder structure like (a) /Hello-World (b)
>> /Hello-World/gitVersion/GitVersionFile.txt and (c)
>> /Hello-World/nonGitVersion/NonGitVersionFile.txt where I give git
>> init for (a) and (c). If Itry to push only from (c) is that valid?
>
> You have a repository inside a repository. So when you are in (c),
> you will be pushing the commits from (c), not from (a). I'm not
> really sure what you are trying to accomplish with that.
>
See this thread for the "cons" of nested git repos: (I don't think there 
are any "pros".)
http://thread.gmane.org/gmane.comp.version-control.git/190372

*If* that is really what you meant...

v/r,
neal